#!/usr/bin/python3.2
#----------------------------------------------------------------
# Dateiname: webcam_show_update.pyw
# 
# Anzeige des Livebilds einer Webcam in einem tkinter-Anwendungsfenster
# 
# Michael Weigend
# Raspberry Pi programmieren mit Python, 2. Auflage mitp 2015
# Kap. 10
# 22. 5. 2015
#----------------------------------------------------------------
import io
from urllib.request import urlopen
from PIL import Image, ImageTk
from tkinter import Label, Tk
URL = "http://lamp01.dortmund.de/webcams/friedensplatz/current.jpg"
f = urlopen(URL)
img_text = f.read()                                #1
img = Image.open(io.BytesIO(img_text))             #2
window = Tk()
imgtk = ImageTk.PhotoImage(img)
label = Label(window, image=imgtk).pack()
window.mainloop()



    
