#!/usr/bin/pythonRoot2.7
#----------------------------------------------------------------
# Dateiname:  inter_webcam.py 
# CGI-Skript fuer interaktive Webcam
#
# Michael Weigend: Raspberry Pi programmieren mit Python, mitp 2013
# 11.7.2
# 29.10.2013
#----------------------------------------------------------------

import cgi, cgitb, os, subprocess, StringIO
from PIL import Image

PATTERN='''Content-Type: text/html

<html>
  <head>
        <title>Interaktive Webcam</title>
  </head>
<body>
  <h2> Interaktive Webcam</h2>
   <img src="http://192.168.178.42/image.jpg" alt="Bild der Webcam"><br/>
   W&auml;hlen Sie den Bildausschnitt!
   <form action="http://localhost/cgi-bin/inter_webcam.py"
     method="GET">
      <input type="Radio" name="zoom" value="Weit entfernt" %s/>
          &nbsp;Gro&szlig;aufnahme<br/>
      <input type="Radio" name="zoom" value="n;auml;her" %s/>
          &nbsp;Nahaufnahme<br/>
      <input type="Radio" name="zoom" value="nah" %s/>
         &nbsp;Halbtotale<br><br/>
      <input type="Submit" value="Bild anfordern"/>
    </form>
  </body>
</html>'''


PATH = 'image.jpg'

def takePhoto (width, height, bbox):
        imageData = StringIO.StringIO()        
        command = 'raspistill -t 300 -w %i  -h %i -o %s -n ' \
                  % (width, height,'-')

        imageData.write(subprocess.check_output(command, shell=True))
        imageData.seek(0)
        image = Image.open(imageData).crop(bbox)
        image.save(PATH)


form = cgi.FieldStorage()
zoom = form.getvalue('zoom', 'halb')
if zoom == 'gross':
        takePhoto(1600, 1200, (600, 450, 1000, 750))
        response = PATTERN % ('checked="checked"', '', '')
elif zoom == 'nah':
        takePhoto(800, 600, (200, 150, 600, 450))
        response = PATTERN % ('', 'checked="checked"', '')              
else:
        takePhoto(400, 300, (0, 0, 400, 300))
        response = PATTERN % ('', '', 'checked="checked"')
        

print response
