#----------------------------------------------------
# Dateiname:  pythagoras_einfach.py 
# Einfacher Pythagorasbaum, ein Standardbeispiel für eine
# rekursive Funktion
#
# Raspberry Pi programmieren mit Python 2. Auflage, mitp 2015
# Kap. 4
# Michael Weigend 22. Mai 2015
#----------------------------------------------------
from turtle import *
from math import sqrt


def baum(c):
    a = c/sqrt(2)
    if c < 10:
        right(90)
        fd(c)
        right(90)
    else:
        fd(c)        
        left(45)
        baum(a)
        left(90)
        baum(a)
        left(45)
        fd(c)

left(90)
baum(40)


     

