#----------------------------------------------------
# Dateiname:  ring.py 
# Sounds abspielen mit PyGame
# Michael Weigend
# Raspberry Pi programmieren mit Python 2. Auflage, mitp 2015
# Kap. 4
# Michael Weigend 22. Mai 2015
#----------------------------------------------------
import pygame, random,time, os
from RPi import GPIO

pygame.mixer.pre_init(frequency=22050, size =-16,
                      channels=1, buffer=4096)
pygame.init()

soundfiles =["buzz.wav", "explosion.wav", "pop.wav"]
sounds  = [pygame.mixer.Sound(filename) for filename in soundfiles]
channel = pygame.mixer.Channel(1)


GPIO.setwarnings(False)
GPIO.setmode(GPIO.BOARD)
GPIO.setup(8, GPIO.IN)


while True:
    if GPIO.input(8):
        sound = random.choice(sounds)
        channel.play(sound)
        time.sleep(0.5)
        
    
