#!/usr/bin/python3.2
#----------------------------------------------------------------
# Dateiname: zufall_visuell.py
# Rein visuelles Programm mit GUI zur Generierung von Zufallszahlen
#
# Michael Weigend: Raspberry Pi programmieren mit Python, mitp 2013
# 5.3
# 29.10.2013
#----------------------------------------------------------------
from tkinter import *
from random import randint  

def choose():                                                        
    zufallszahl = randint(0, 5)                        
    label.config(image=items[zufallszahl])                      #1


window = Tk()                                                   #2
items = [PhotoImage(file="1.ppm"),
         PhotoImage(file="2.ppm"),
         PhotoImage(file="3.ppm"),
         PhotoImage(file="4.ppm"),
         PhotoImage(file="5.ppm"),
         PhotoImage(file="6.ppm")]                              #3
new_image = PhotoImage(file="new_image.ppm")
button = Button(master=window, command=choose,
                image=new_image)                                #4
label = Label(master=window, image=items[0])                    #5
label.pack()
button.pack()
window.mainloop()       


