#!/usr/bin/python3
#----------------------------------------------------------------
# Dateiname:  newplace.py 
# CGI-Skript zur Eingabe einer neuen Fundstelle für Früchte.
#
# Michael Weigend: Raspberry Pi programmieren mit Python, mitp 2013
# 11.5.2
# 29.10.2013
#----------------------------------------------------------------

import cgi, cgitb, sqlite3
cgitb.enable()

HTML = {ord('ä'): '&auml;', ord('ö'): '&ouml;',
        ord('ü'): '&uuml;', ord('Ä'): '&Auml;',
        ord('Ö'): '&Ouml;', ord('Ü'): '&Uuml;',
        ord('ß'): '&szlig'}

RESPONSE='''Content-Type: text/html

<html>
<meta http-equiv="Content-Type" content="charset=utf-8" />
  <head>
        <title>Daten eingegeben</title>
  </head>
<body>
  <h2> Danke f&uuml;r die neue Stelle!</h2>
   Die Daten wurden gespeichert.<br/>
   Frucht: &nbsp; %s<br/>
   Ort: &nbsp; %s<br/><br/>
   <a href="http://192.168.178.42/raspberries/">Startseite</a>
  </body>
</html>'''


form = cgi.FieldStorage()
place = form.getvalue('place').translate(HTML)
fruit = form.getvalue('fruit').translate(HTML)


conn=sqlite3.connect('data/fruits.db')
c = conn.cursor()
insert = 'INSERT INTO location VALUES(?, ?)' 
try:
    c.execute(insert, (fruit, place))
except:
    newTable='''CREATE TABLE
        location (fruit varchar(20), place varchar(100))'''
    c.execute(newTable)
    c.execute(insert)
conn.commit()
c.close()
conn.close()

print (RESPONSE % (fruit, place))
