#----------------------------------------------------------------
# Dateiname: sound.py
# Klänge abspielen
#
# Michael Weigend: Raspberry Pi programmieren mit Python, mitp 2013
# 3.12.3
# 28.10.2013
#----------------------------------------------------------------

import pygame, random, time
from RPi import GPIO
pygame.mixer.pre_init()
pygame.init()                                          #2
soundfiles = {"buzz.wav", "explosion.wav",
              "singer.wav"}                            #3
sounds = [pygame.mixer.Sound(filename) for filename in soundfiles]
GPIO.setwarnings(False)                                #4
GPIO.setmode(GPIO.BOARD)
GPIO.setup(10, GPIO.IN)
while True:
    if GPIO.input(10):
        sound = random.choice(sounds)                  #5
        sound.play()                                   #6
        time.sleep(0.5)                                #7
