# schloss.pyw
import time, _thread
from tkinter import *

times = [1, 3, 5, 10, 20, 120]

def check():
    _thread.start_new_thread(response, ())

def response():
    global number
    if number in VALID:
        label.config(text="Gültiger Schlüssel - Tür auf")
    else:
        label.config(text="Schlüssel ungültig!")
    time.sleep(1)
    frame.destroy()
    label.config(text="Zahlen eingeben und OK drücken")
    entry.bind("<1>", createKeyboard)
    number = ""
    entry.delete(0, END)

def insert():
    global number
    entry.insert(END, "*")
    number+=key.get()


def createKeyboard(event):
    global frame
    entry.unbind("<1>")
    frame = Frame(master=window, relief=SUNKEN)
    frame.pack()
    okButton = Button(master=frame, text='OK',
                     command=check, font=("Arial", 12))
    numButtons = [Radiobutton(master=frame, command=insert,
                            font=("Arial", 14), width=3,
                            variable=key, value=n,
                            text=n, indicatoron=False)
                  for n in "1234567890"]
    for i in range(3):
       numButtons[i].grid(row=0, column=i)
    for i in range(3,6):
       numButtons[i].grid(row=1, column=i-3)
    for i in range(6,9):
       numButtons[i].grid(row=2, column=i-6)
    numButtons[9].grid(row=3, column=0)
    okButton.grid(row=3, column=1, columnspan=2, sticky=E)
    

            
# Widgets
window=Tk()
number=""
key = StringVar(master=window)
label = Label(master=window,
            font=("Arial",14), width=26,
            text="Zahlen eingeben und OK drücken")
entry = Entry(master=window, font=("Courier",14), show="*")
label.pack()
entry.pack()
entry.bind("<1>", createKeyboard)
window.mainloop()
